#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

try:
    from cmk.gui.plugins.views import (
        inventory_displayhints
    )
    from cmk.gui.plugins.views.inventory import (
        declare_invtable_view,
        render_inv_dicttable,
    )
except:
    pass

inventory_displayhints.update({
    '.hardware.system.appliance_manufacturer': {'title': _('Manufacturer'), },
    '.hardware.system.appliance_product_name': {'title': _('Modelname'), },
    '.hardware.system.appliance_serial_number': {'title': _('Serial number')},
    '.hardware.system.appliance_series': {'title': _('Appliance series')},

    '.software.check_point.osinfo:': {'title': _('Operating System'), 'render': render_inv_dicttable,
                                      'keyorder': ['os_name', 'os_version', 'svn_version', 'svn_build'],
                                      'view': 'invcposinfo_of_host',
                                      },
    '.software.check_point.osinfo:*.os_name': {'title': _('OS name'), },
    '.software.check_point.osinfo:*.os_version': {'title': _('OS version'), },
    '.software.check_point.osinfo:*.svn_build': {'title': _('SVN Build'), },
    '.software.check_point.osinfo:*.svn_version': {'title': _('SVN version'), },
    '.software.check_point.osinfo:*.deployment_agent_build': {'title': _('Deployment agent build'), },

    '.software.check_point.patches:': {'title': _('Recommended updates'), 'render': render_inv_dicttable,
                                       'keyorder': ['name', 'type', 'status', ],
                                       'view': 'invcppatches_of_host',
                                       },
    '.software.check_point.patches:*.type': {'title': _('Type'), },
    '.software.check_point.patches:*.status': {'title': _('Status')},
    '.software.check_point.patches:*.name': {'title': _('Name'), },

    '.software.check_point.support:': {'title': _('Support info'), 'render': render_inv_dicttable,
                                       'keyorder': ['account_id', 'certificate_key', 'lic_container', 'support_type',
                                                    'support_renewal'],
                                       'view': 'invcpsupport_of_host',
                                       },
    '.software.check_point.support:*.account_id': {'title': _('Account ID'), },
    '.software.check_point.support:*.lic_description': {'title': _('Description')},
    '.software.check_point.support:*.certificate_key': {'title': _('Certificate key'), },
    '.software.check_point.support:*.signatur_key': {'title': _('Signature key'), },
    '.software.check_point.support:*.lic_container': {'title': _('Container')},
    '.software.check_point.support:*.support_type': {'title': _('Support type'), },
    '.software.check_point.support:*.support_renewal': {'title': _('Support renewal'), },
    '.software.check_point.support:*.lic_state': {'title': _('Status')},
})

declare_invtable_view('invcposinfo', '.software.check_point.osinfo:', _('Check Point Operating system info'),
                      _('Check Point operating system info'))
declare_invtable_view('invcppatches', '.software.check_point.patches:', _('Check Point recommended updates'),
                      _('Check Point recommended updates'))
declare_invtable_view('invcpsupport', '.software.check_point.support:', _('Check Point support info'),
                      _('Check Point support info'))
